Package proton :: Module reactor :: Class SenderOption

[frames] | no frames]

# Class SenderOption

source code

    object --+
             |
    LinkOption --+
                 |
                SenderOption

Instance Methods

apply(self, sender) Subclasses will implement any configuration logic in this method | source code

test(self, link) Subclasses can override this to selectively apply an option e.g. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### apply(self, sender)

source code

Subclasses will implement any configuration logic in this method

Overrides: LinkOption.apply
  (inherited documentation)

### test(self, link)

source code

Subclasses can override this to selectively apply an option e.g. based on some link criteria

Overrides: LinkOption.test
  (inherited documentation)